Skip to main content

Get a resident charge by ID

GEThttps://api.propexo.com/v1/resident-charges/:resident_charge_id

The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_charge_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident charge

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: c90bb6c3-7b90-456d-a05b-aaabaac1e4de
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: beeed00d-03d0-4b98-a743-7e2e3c5a5a15
    x_gl_account_idstring | nullnullablerequired

    The external ID of the general ledger account from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 7fc04d7d-8a88-46cc-a0b4-a658b88fe5fe
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 47db16e5-38f6-4e29-9b9c-1649e786c71d
    x_resident_idnullrequired

    The external ID of the resident from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_unit_idnullrequired

    The external ID of the unit from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_charge_code_idnullrequired

    The external ID of the charge code from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_in_centsnumber | nullnullablerequired

    The amount of the resident charge, in cents

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 10000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 100.00
    amount_open_in_centsnullrequired

    The amount open on the resident charge, in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_open_rawnullrequired

    The raw value for open amount from the PMS

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_paid_in_centsnullrequired

    The amount paid on the resident charge, in cents

    Important

    This field is always null for Appfolio. Use the allocations array to see payment allocations for this charge.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_paid_rawnullrequired

    The raw value for amount paid from the PMS

    Important

    This field is always null for Appfolio. Use the allocations array to see payment allocations for this charge.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    due_datenullrequired

    The due date associated with the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    namenullrequired

    The name associated with the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    descriptionnullrequired

    Description of the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    reference_numbernullrequired

    The reference number for the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    transaction_datestring | nullnullablerequired

    The transaction date of the resident charge

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 2021-09-27T00:00:00.000Z
    transaction_sourcenullrequired

    The transaction source of the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    is_opennullrequired

    Whether the resident charge is open and not yet settled

    Notice

    This field will always be null for APPFOLIO

    Example: null
    post_monthnullrequired

    The post month for the resident charge

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_dataobject | nullnullablerequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    resident_idnullrequired

    The Propexo unique identifier for the resident

    Notice

    This field will always be null for APPFOLIO

    Example: null
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: cmcz41ay7000107l40zjea7l6
    unit_idnullrequired

    The Propexo unique identifier for the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: cmcz41ay7000107l40zjea7l6:0d78bcdf-19d2-4011-b192-9027491e3fb3:14f83bc7-556e-43c1-95d0-d9be9a8945d8
    charge_code_idnullrequired

    The Propexo unique identifier for the charge code

    Notice

    This field will always be null for APPFOLIO

    Example: null
    allocations object[]required

    Array of payment allocations, splits, and related transactions associated with the resident charge

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident allocation

    Example: clwktsp9v000008l31iv218hn
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: c90bb6c3-7b90-456d-a05b-aaabaac1e4de
    x_source_idstring | nullnullablerequired

    The external ID of the source transaction from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: c90bb6c3-7b90-456d-a05b-aaabaac1e4de
    x_destination_idstring | nullnullablerequired

    The external ID of the destination transaction from the integration vendor

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: c90bb6c3-7b90-456d-a05b-aaabaac1e4de
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_in_centsnumber | nullnullablerequired

    The amount of the resident allocation, in cents

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 10000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    MethodInterface
    /v0/tenant_ledgersTenant Ledgers
    Example: 100.00
    resident_charge_idstring | nullnullablerequired

    The Propexo unique identifier for the resident charge

    resident_payment_idstring | nullnullablerequired

    The Propexo unique identifier for the resident payment

    Notice

    This field is not currently hydrated for APPFOLIO

    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    custom_dataobject | nullnullablerequired
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-charges/:resident_charge_id
curl https://api.propexo.com/v1/resident-charges/:resident_charge_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c90bb6c3-7b90-456d-a05b-aaabaac1e4de",
"x_property_id": "beeed00d-03d0-4b98-a743-7e2e3c5a5a15",
"x_gl_account_id": "7fc04d7d-8a88-46cc-a0b4-a658b88fe5fe",
"x_location_id": null,
"x_lease_id": "47db16e5-38f6-4e29-9b9c-1649e786c71d",
"x_resident_id": null,
"x_unit_id": null,
"x_charge_code_id": null,
"amount_in_cents": 10000,
"amount_raw": "100.00",
"amount_open_in_cents": null,
"amount_open_raw": null,
"amount_paid_in_cents": null,
"amount_paid_raw": null,
"due_date": null,
"name": null,
"description": null,
"reference_number": null,
"transaction_date": "2021-09-27T00:00:00.000Z",
"transaction_source": null,
"is_open": null,
"post_month": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": null,
"financial_account_id": "cmcz41ay7000107l40zjea7l6",
"unit_id": null,
"lease_id": "cmcz41ay7000107l40zjea7l6:0d78bcdf-19d2-4011-b192-9027491e3fb3:14f83bc7-556e-43c1-95d0-d9be9a8945d8",
"charge_code_id": null,
"allocations": [
{
"id": "clwktsp9v000008l31iv218hn",
"x_id": "c90bb6c3-7b90-456d-a05b-aaabaac1e4de",
"x_source_id": "c90bb6c3-7b90-456d-a05b-aaabaac1e4de",
"x_destination_id": "c90bb6c3-7b90-456d-a05b-aaabaac1e4de",
"financial_account_id": null,
"amount_in_cents": 10000,
"amount_raw": "100.00",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"custom_data": "Unknown Type: object,null"
}
]
}
}